<?php
/**
* Flexi Trendy News - Joomla Module
* Version			: 3.0
* Created by		: RumahBelanja.com | AppsNity.com
* Created on		: v1.0 - November 2010 - v2.0 - December 24th, 2011 (J 1.7.x & J 2.5.x)
* Updated			: v3.0 - October 12nd 2014
* Package			: Joomla 3.x.x
* Based on			: Flexi Latest News
* License			: http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
*/

defined('_JEXEC') or die;

require_once JPATH_SITE . '/components/com_content/helpers/route.php';

JModelLegacy::addIncludePath(JPATH_SITE . '/components/com_content/models', 'ContentModel');

abstract class modFlexiTrendyNewsHelper
{
	public static function getList(&$params)
	{
		$app = JFactory::getApplication();

		//Get the config
		$config = JFactory::getConfig();
		$toffset = $config->get('config.offset');

		// Get the dbo
		$db = JFactory::getDbo();

		// Get an instance of the generic articles model
		$model = JModelLegacy::getInstance('Articles', 'ContentModel', array('ignore_request' => true));

		// Set application parameters in model
		$app       = JFactory::getApplication();
		$appParams = $app->getParams();
		$model->setState('params', $appParams);

		//Get Parameters in module params
		$time_format= $params->get( 'time_format', 'D, M dS Y H:i' );
		
		// Set the filters based on the module params
		$model->setState('list.start', (int) $params->get('totalskip', 0));
		$model->setState('list.limit', (int) $params->get('count', 5));
		$model->setState('filter.published', 1);

		$model->setState('list.select', 'a.fulltext, a.id, a.title, a.alias, a.introtext, a.state, a.catid, a.created, a.created_by, a.created_by_alias,' .
			' a.modified, a.modified_by, a.publish_up, a.publish_down, a.images, a.urls, a.attribs, a.metadata, a.metakey, a.metadesc, a.access,' .
			' a.hits, a.featured' );
			
		// Access filter
		$access     = !JComponentHelper::getParams('com_content')->get('show_noauth');
		$authorised = JAccess::getAuthorisedViewLevels(JFactory::getUser()->get('id'));
		$model->setState('filter.access', $access);

		// Category filter
		$model->setState('filter.category_id', $params->get('catid', array()));

		// User filter
		$userId = JFactory::getUser()->get('id');

		switch ($params->get('user_id'))
		{
			case 'by_me' :
				$model->setState('filter.author_id', (int) $userId);
				break;
			case 'not_me' :
				$model->setState('filter.author_id', $userId);
				$model->setState('filter.author_id.include', false);
				break;

			case '0' :
				break;

			default:
				$model->setState('filter.author_id', (int) $params->get('user_id'));
				break;
		}
		
		//Filter by Date
		$date_filtering = $params->get('date_filtering', 'off');
		if ($date_filtering !== 'off') {
			$model->setState('filter.date_filtering', $date_filtering);
			$model->setState('filter.start_date_range', $params->get('start_date_range', '1000-01-01 00:00:00'));
			$model->setState('filter.end_date_range', $params->get('end_date_range', '9999-12-31 23:59:59'));
			$model->setState('filter.relative_date', $params->get('relative_date', 500));
		}

		// Filter by language
		$model->setState('filter.language', $app->getLanguageFilter());

		//  Featured switch
		switch ($params->get('show_featured'))
		{
			case '1' :
				$model->setState('filter.featured', 'only');
				break;
			case '0' :
				$model->setState('filter.featured', 'hide');
				break;
			default :
				$model->setState('filter.featured', 'show');
				break;
		}

		// Set ordering
		$direction = $params->get('direction', 1) ? 'DESC' : 'ASC';
		$model->setState('list.ordering', 'a.hits');
		$model->setState('list.direction', $direction);

		$items = $model->getItems();

		//AppsNity Date Type
		switch ($params->get('date_type'))
		{
			case '0' :
				$datecreated="created";
				break;
			case '1' :
				$datecreated="modified";
				break;

			case '2' :
				$datecreated="publish_up";
				break;

			default:
				$datecreated="created";
				break;
		}
		
		foreach ($items as &$item)
		{
			$item->slug    = $item->id . ':' . $item->alias;
			$item->catslug = $item->catid . ':' . $item->category_alias;

			if ($access || in_array($item->access, $authorised))
			{
				// We know that user has the privilege to view the article
				$item->link = JRoute::_(ContentHelperRoute::getArticleRoute($item->slug, $item->catslug));
			}
			else
			{
				$item->link = JRoute::_('index.php?option=com_users&view=login');
			}
			
			$item->name = htmlspecialchars( $item->author );
			$item->datetime=JHTML::_('date', htmlspecialchars( $item->$datecreated ),"$time_format", $toffset);
			$item->checkmodif=JHTML::_('date', htmlspecialchars( $item->modified ),"Y", $toffset);
			
			if (($item->checkmodif==0000) or ($item->checkmodif==-0001)): 
				$item->datetime=JHTML::_('date', htmlspecialchars( $item->created ),"$time_format", $toffset);
			endif;
		}

		return $items;
	}
}
