<?php
/**
* Flexi Trendy News - Joomla Module
* Version			: 3.0
* Created by		: RumahBelanja.com | AppsNity.com
* Created on		: v1.0 - November 2010 - v2.0 - December 24th, 2011 (J 1.7.x & J 2.5.x)
* Updated			: v3.0 - October 12nd 2014
* Package			: Joomla 3.x.x
* Based on			: Flexi Latest News
* License			: http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
*/

// no direct access
defined('_JEXEC') or die;

// Include the syndicate functions only once
require_once __DIR__ . '/helper.php';

$document 		= JFactory::getDocument();
$baseurl 		= JURI::base();
$modulefield	= ''.JURI::base(true).'/modules/mod_flexitrendynews/';

//Get this module id
$nummod_ftn		= $module->id;
$num_ftn		= 'mod'.$nummod_ftn;

//Get Params
$name_sys			= $params->get( 'name_sys', 1 );
$hits_system		= $params->get( 'hits_system', 1 );
$time_sys			= $params->get( 'time_sys', 1 );
$dateauthorsep		= $params->get( 'dateauthorsep');
$layout_system		= $params->get( 'layout_system', 0);
$title_color		= $params->get( 'title_color', '#ff0000');
$title_fweight		= $params->get( 'title_fweight', 'bold');
$info_color			= $params->get( 'info_color', '#000');
$borderlist_color	= $params->get( 'borderlist_color', '#ccc');
$hits_background	= $params->get( 'hits_background', '#000');
$hits_color			= $params->get( 'hits_color', '#fff');



switch ($params->get('hitseparator'))
	{
			case '0' :
				$preffixhit		="";
				$suffixhit		="";
				break;
			case '1' :
				$preffixhit		="(";
				$suffixhit		=")";
				break;

			case '2' :
				$preffixhit		="[";
				$suffixhit		="]";
				break;

			case '3' :
				$preffixhit		="{";
				$suffixhit		="}";
				break;

			case '4' :
				if ($hits_system==2): $preffixhit		=""; $suffixhit		=" - "; endif;
				if ($hits_system==1): $preffixhit		=" - "; $suffixhit		=""; endif;
				
				break;
				
			default:
				$preffixhit		="";
				$suffixhit		="";
				break;
	}

$cssinline = '
	.flexitrendynews_'.$num_ftn.'>ul{
		padding: 0;
		margin: 0;
		list-style-type: none;
	}
	
	.flexitrendynews_'.$num_ftn.'>ul>li{
		border-bottom: 1px dotted '.$borderlist_color.';
		padding:5px 0;
	}
	
	.thetitle, .thetitle a,
	.thetitle a:hover, .thetitle a:focus{
		text-decoration:none;
		color:'.$title_color.';
		font-weight:'.$title_fweight.';
	}
	
	.flexitrendynews_'.$num_ftn.' .authorname, 
	.flexitrendynews_'.$num_ftn.' .datetime{
		color:'.$info_color.';
	}
	
	.flexitrendynews_'.$num_ftn.' .authorname,
	.flexitrendynews_'.$num_ftn.' .datetime{
		font-size:90%;
	}
	
';

$document->addStyleDeclaration($cssinline, 'text/css');		

if ($layout_system==0):
	$cssinline_basic = '
		.flexitrendynews_'.$num_ftn.' span.topside{
			display:block;
		}
		.flexitrendynews_'.$num_ftn.' span.thehits{
			font-style: italic;
		}
	';

	$document->addStyleDeclaration($cssinline_basic, 'text/css');	
endif;	


if ($layout_system==1):

	$float_hitspos="none";
	$float_rightside="none";
	$right_width="100%";
	if ($hits_system==1): $float_hitspos="right"; $right_width="65%";	$float_rightside="left"; endif;
	if ($hits_system==2): $float_hitspos="left";  $right_width="65%";	$float_rightside="left"; endif;

	$cssinline_hits = '
		.flexitrendynews_'.$num_ftn.'>ul>li{
			overflow: auto;
		}
		
		.flexitrendynews_'.$num_ftn.' span.leftside{
			width: 25%;
			background: '.$hits_background.';
			color: '.$hits_color.';
			font-size: 20px;
			padding: 10px 3%;
			text-align: center;
			float: '.$float_hitspos.';
			vertical-align: middle;
			margin: 0 2%;
		}
		
		.flexitrendynews_'.$num_ftn.' span.rightside{
			width: '.$right_width.';
			float: '.$float_rightside.';
		}
		
		.flexitrendynews_'.$num_ftn.' span.topside{
			display:block;
		}
	';

	$document->addStyleDeclaration($cssinline_hits, 'text/css');
endif;

$list = modFlexiTrendyNewsHelper::getList($params);
require JModuleHelper::getLayoutPath('mod_flexitrendynews', $params->get('layout', 'default'));